/[pub]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.11 by wakaba, Sun Nov 4 09:15:02 2007 UTC revision 1.15 by wakaba, Sun Nov 18 11:05:12 2007 UTC
# Line 30  h2 { Line 30  h2 {
30    font-size: 150%;    font-size: 150%;
31  }  }
32    
33  h3 {  h3, th {
34    font-weight: bolder;    font-weight: bolder;
35    font-family: sans-serif;    font-family: sans-serif;
36    font-size: 100%;    font-size: 100%;
# Line 137  q:before, q:after { Line 137  q:before, q:after {
137    background-repeat: no-repeat;    background-repeat: no-repeat;
138  }  }
139    
140    #levels-table tbody th:first-child {
141      padding-left: 42px;
142      min-height: 32px;
143      background-image: url(large-stop);
144      background-position: 5px center;
145      background-repeat: no-repeat;
146      text-align: left;
147    }
148    
149  #identifiers dd, #terms dd {  #identifiers dd, #terms dd {
150    margin-left: 20px;    margin-left: 20px;
151    padding-left: 20px;    padding-left: 20px;
# Line 154  q:before, q:after { Line 163  q:before, q:after {
163    margin-right: 1em;    margin-right: 1em;
164  }  }
165    
166    #parse-errors dd.should,
167  #document-errors dd.should, #error-description .should h3,  #document-errors dd.should, #error-description .should h3,
168  #result-para.SEE-RESULT {  #result-para.SEE-RESULT, #levels-table #level-s th {
169    background-image: url(large-alert);    background-image: url(large-alert);
170  }  }
171    
172    #parse-errors dd.warning,
173    #document-errors dd.warning, #error-description .warning h3,
174    #levels-table #level-w th {
175      background-image: url(large-info);
176    }
177    
178    #parse-errors dd.unsupported,
179  #document-errors dd.unsupported {  #document-errors dd.unsupported {
180    margin-left: 60px;    margin-left: 60px;
181    border: red 0.2em solid;    border: red 0.2em solid;
182    padding: 0.5em;    padding: 0.5em;
183  }  }
184    
185    #parse-errors dd.unsupported,
186  #document-errors dd.unsupported, #error-description .unsupported h3,  #document-errors dd.unsupported, #error-description .unsupported h3,
187  #result-para.uncertain {  #result-para.uncertain, #levels-table #level-unsupported th {
188    background-image: none;    background-image: none;
189  }  }
190    
# Line 217  code { Line 235  code {
235    white-space: pre-wrap;    white-space: pre-wrap;
236  }  }
237    
238    .example {
239      background-color: #ececff;
240    }
241    
242    pre.example {
243      margin-left: 1em;
244      margin-right: 1em;
245      padding: 0.2em 0.5em;
246    }
247    
248    .example.bad {
249      background-color: #fff7f7;
250    }
251    
252    code.example.bad {
253      color: inherit;
254      background-color: #ffeeee;
255    }
256    
257    h3 code.example.bad {
258      color: orangered;
259      background-color: transparent;
260    }
261    
262    pre.example::before {
263      content: "Example";
264      display: block;
265      color: #b0b0ff;
266      background-color: transparent;
267      font-weight: bolder;
268      font-family: sans-serif;
269    }
270    
271    pre.example.html::before {
272      content: "HTML Example";
273    }
274    
275    pre.example.xml::before {
276      content: "XML Example";
277    }
278    
279    pre.example.manifest::before {
280      content: "Cache Manifest Example";
281    }
282    
283    pre.example.bad::before {
284      content: "Bad Example";
285      color: #ffc1c1;
286    }
287    
288    pre.example.bad.html::before {
289      content: "HTML Bad Example";
290    }
291    
292    pre.example.bad.xml::before {
293      content: "XML Bad Example";
294    }
295    
296    pre.example.bad.manifest::before {
297      content: "Cache Manifest Bad Example";
298    }
299    
300  .rfc2119 {  .rfc2119 {
301    border-style: none;    border-style: none;
302    text-transform: lowercase;    text-transform: lowercase;
# Line 250  code { Line 330  code {
330    empty-cells: show;    empty-cells: show;
331  }  }
332    
333  .uncertain td, p.uncertain {  .uncertain td, p.uncertain, #level-unsupported, #level-unsupported th {
334    background-color: #e1e1ff;    background-color: #e1e1ff;
335    color: black;    color: black;
336  }  }
337    
338  .FAIL, .uncertain td.FAIL {  .FAIL, .uncertain td.FAIL, #level-m, #level-m th {
339    background-color: #ffcece;    background-color: #ffcece;
340    color: black;    color: black;
341  }  }
342    
343  .SEE-RESULT, .uncertain td.SEE-RESULT {  .SEE-RESULT, .uncertain td.SEE-RESULT, #level-s, #level-s th {
344    background-color: #e1e1ff;    background-color: #e1e1ff;
345    color: black;    color: black;
346  }  }
347    
348  .PASS {  .PASS, #level-w, #level-w th {
349    background-color: #ddffdd;    background-color: #ddffdd;
350    color: black;    color: black;
351  }  }

Legend:
Removed from v.1.11  
changed lines
  Added in v.1.15

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24